# vim: set sw=3 ts=3 noet:
#
# spec file for package libmetalink
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 3

Name:           libmetalink
Version:        0.1.2
Release:        11.5
Summary:        Metalink Library
License:        MIT
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
Url:            https://launchpad.net/libmetalink
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libexpat-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
Patch:          libmetalink-autotools.patch

%description
Libmetalink is a Metalink library written in C language. It is intended to
provide the programs written in C to add Metalink functionality such as parsing
Metalink XML files.

%package -n libmetalink%{soname}
Summary:        Metalink Library
Group:          System/Libraries

%description -n libmetalink%{soname}
Libmetalink is a Metalink library written in C language. It is intended to
provide the programs written in C to add Metalink functionality such as parsing
Metalink XML files.




Authors:
--------
    Tatsuhiro Tsujikawa <tujikawa@users.sourceforge.net>

%package -n libmetalink-devel
Summary:        Metalink Library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libmetalink%{soname} = %{version}

%description -n libmetalink-devel
Libmetalink is a Metalink library written in C language. It is intended to
provide the programs written in C to add Metalink functionality such as parsing
Metalink XML files.

%prep
%setup -q
%patch

%build
autoreconf -fiv
%configure \
	 --disable-static \
    --with-libexpat 

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/doc"
%__rm "%{buildroot}%{_libdir}"/*.la

%post   -n libmetalink%{soname} -p /sbin/ldconfig
%postun -n libmetalink%{soname} -p /sbin/ldconfig

%check
%__make test

%clean
%__rm -rf "%{buildroot}"

%files -n libmetalink%{soname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libmetalink.so.%{soname}
%{_libdir}/libmetalink.so.%{soname}.*

%files -n libmetalink-devel
%defattr(-,root,root)
%{_includedir}/metalink
%{_libdir}/libmetalink.so
%{_libdir}/pkgconfig/libmetalink.pc
%{_mandir}/man3/metalink*.3*

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:

%changelog
* Tue Nov 20 2012 crrodriguez@opensuse.org
- Fornat spec file for factory
* Tue Nov 20 2012 crrodriguez@opensuse.org
- Update to version 0.1.2
  * This release adds RFC 5854 Metalink 4.0 support
  * adds dynamic attribute of the origin element in Metalink
- libmetalink-autotools.patch : multiple pet peeves in autotools.
* Sat Sep 24 2011 andreas.stieger@gmx.de
- remove dependency on licenses, no longer in Factory
* Sun Nov  8 2009 pascal.bleser@opensuse.org
- add support for libxml2 and expat, which makes the build include
  all API functions, unlike the previous, crippled builds
* Sun Nov  1 2009 pascal.bleser@opensuse.org
- initial package: 0.0.3
